# Class TCEFLinkedWindowParent

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFLinkedWindowParent

## Declaration

`type TCEFLinkedWindowParent = class(TCEFLinkedWinControlBase)`

## Description

This component can be used by VCL and LCL applications. It has the same purpose as TCEFWindowParent but it has a Chromium property to link it directly to a TChromium component. TCEFLinkedWindowParent resizes the child controls created by CEF for browsers in normal mode and sets the browser focus using the linked TChromium component. TCEFWindowParent and TCEFLinkedWindowParent work fine in Windows and you can used any of them but you can't use TCEFWindowParent in Linux or MacOS.

## Hierarchy

- TWinControl
- TCEFWinControl
- TCEFLinkedWinControlBase
- TCEFLinkedWindowParent

## Overview

### Fields

| `FChromium: TChromium;`

### Methods

| `function GetChromium: TChromium; override;`
| `procedure SetChromium(aValue : TChromium);`
| `procedure Notification(AComponent: TComponent; Operation: TOperation); override;`
| `constructor Create(AOwner : TComponent); override;`

### Properties

| `property Chromium : TChromium read FChromium write SetChromium;`

## Description

### Fields

| `FChromium: TChromium;`
This item has no description.

### Methods

| `function GetChromium: TChromium; override;`
This item has no description.

| `procedure SetChromium(aValue : TChromium);`
This item has no description.

| `procedure Notification(AComponent: TComponent; Operation: TOperation); override;`
This item has no description.

| `constructor Create(AOwner : TComponent); override;`
This item has no description.

### Properties

| `property Chromium : TChromium read FChromium write SetChromium;`
TChromium instance used by this component.

Generated by PasDoc 0.16.0-snapshot.